function quest() {

    var userNum = Number(prompt("1. Обнаружив, что любимые джинсы порвались, вы выкидываете их — 0 " +
        "делаете еще несколько художественных разрезов и продолжаете носить — 1"));
    var counter = userNum;

    userNum = Number(prompt("2. Подружка попросила вас побыть с ее ребенком-непоседой. Вы " +
        "включите ему телевизор или видеоигру  — 0 окунетесь в детство и вместе " +
        "придумаете веселую увлекательную игру — 1"));
    counter += userNum;

    userNum = Number(prompt("3. Часто ли вам снятся сны? Да, вы обычно помните сновидения, они " +
        "яркие и интересные — 1 Нет, вы редко запоминаете сны — 0"));
    counter += userNum;

    userNum = Number(prompt("4. Какую работу вы предпочтете — ту, где известно, что и как " +
        "делать, или ту, в которой необходимо что-то придумывать? Интереснее самостоятельно искать решения " +
        "проблем, даже если это требует временных затрат — 1 Вам проще работать, когда существует " +
        "четкий алгоритм — 0"));
    counter += userNum;

    userNum = Number(prompt("5. Подружка выходит замуж, и вам предстоит организовать выкуп невесты, " +
        "вы изучите литературу и подберете конкурсы  — 0 постараетесь придумать конкурсы сами, чтобы " +
        "они были оригинальными — 1"));
    counter += userNum;

    userNum = Number(prompt("6. Изучая меню в ресторане, вы, скорее всего, остановитесь на " +
        "знакомом блюде — 0 блюде с самым экстравагантным, названием — 1"));
    counter += userNum;

    userNum = Number(prompt("7. Если в процессе создания стенгазеты потребуется нарисовать какое-то животное, " +
        "вы постараетесь найти фотографию или другое изображение и срисуете — 0 " +
        "нарисуете животное сами, даже если не очень хорошо имеете — 1"));
    counter += userNum;

    userNum = Number(prompt("8. Для новогоднего маскарада в детском саду необходимо найти малышу костюм. Вы " +
        "сошьете его сами — 1 купите в магазине — 0"));
    counter += userNum;

    userNum = Number(prompt("9. Любили ли вы в детстве читать сказки? " +
        "Вам интереснее было смотреть мультики — 0 " +
        "Да, вы любили читать не меньше, чем смотреть телевизор — 1"));
    counter += userNum;

    userNum = Number(prompt("10. Ваши фотографии в альбоме — " +
        "чаше традиционные — 0 живые позы в необычных ракурсах — 1"));
    counter += userNum;

    alert("ВАШ РЕЗУЛЬТАТ: " + counter);

    var result;

    if (counter < 4) {
        Number(result = 0)
    }


    if (counter > 3 && counter < 6) {
        Number(result = 1)
    }


    if (counter > 7) {
        Number(result = 2)
    }
    

    switch (result) {

        //<4
        case 0:
            alert("Вы придерживаетесь традиционных взглядов на решение проблемных ситуаций.");
            break;

        //>3 and <6
        case 1:
            alert("Вы достаточно креативны по натуре, но не всегда считаете нужным пользоваться этими способностями. ");
            break;

        //>7
        case 2:
            alert("Вы очень творческий человек. Вы умеете видеть необычные решения, которые незаметны для окружающих.");
            break;
    }

    alert("Спасибо за внимание!");
}
document.getElementById("demo").innerHTML = quest();